Subject: Patch for reliable rcs on win95
From: [email-masked] ("Mikey")

18 Mar 1997 09:24:59 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="----=_NextPart_000_01BC330C.966A3C20"
Content-Transfer-Encoding: 7bit
Original-To: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_01BC330C.966A3C20
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

Sorry about that ;^) tired.
------=_NextPart_000_01BC330C.966A3C20
Content-Type: application/octet-stream; name="rcs.dif"
Content-Transfer-Encoding: quoted-printable
Content-Description: rcs.dif (DIF File)
Content-Disposition: attachment; filename="rcs.dif"

--- conf.sh.orig	Mon Mar 17 18:15:23 1997=0A=
+++ conf.sh	Mon Mar 17 18:22:37 1997=0A=
@@ -1794,8 +1794,8 @@=0A=
 EOF=0A=
 $PREPARE_CC || exit=0A=
 h=3D0 p=3D0=0A=
-if ($CL a.c $L && sh -c 'pid=3D$$; (sleep 3; kill $pid)& exec '$aout) =
>&2=0A=
-then=0A=
+if ($CL a.c $L && sh -c 'pid=3D$$; (sleep 3; kill $pid)& sleep 4;exec =
'$aout) >&2=0A=
+then  #extra sleep for fork bug=0A=
 	h=3D1=0A=
 	$PREPARE_CC || exit=0A=
 	$CS -Dhas_attribute_format_printf=3D1 a.c >&2 && $CS_OK && p=3D1=0A=
@@ -1890,10 +1890,11 @@=0A=
 echo "$a#undef EXIT_FAILURE $z/* Uncomment this if EXIT_FAILURE is =
broken.  */"=0A=
 =0A=
 : configuring large_memory=0A=
-case "$has_map_fd$has_mmap" in=0A=
-*1*) l=3D1;;=0A=
-*) l=3D0=0A=
-esac=0A=
+#case "$has_map_fd$has_mmap" in=0A=
+#*1*) l=3D1;;=0A=
+#*) l=3D0=0A=
+#esac=0A=
+l=3D1 #force large_memory to overcome win95 short read bug=0A=
 echo "#define large_memory $l /* Can main memory hold entire RCS files? =
 */"=0A=
 =0A=
 $ech >&3 "$0: configuring LONG_MAX $dots"=0A=
--- rcstest.orig	Mon Mar 17 19:14:23 1997=0A=
+++ rcstest	Mon Mar 17 19:14:51 1997=0A=
@@ -173,7 +173,7 @@=0A=
 	case $USER in=0A=
 	?*) me=3D$USER;;=0A=
 	*)=0A=
-		me=3D`who am i` || exit 2=0A=
+		me=3D`whoami` || exit 2=0A=
 		me=3D`echo "$me" | sed -e 's/ .*//' -e 's/.*!//'`=0A=
 		case $me in=0A=
 		'') echo >&2 "$0: cannot deduce user name"; exit 2=0A=

------=_NextPart_000_01BC330C.966A3C20--

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".